import controlP5.*; //import control library
import processing.serial.*;

Serial port; 

ControlP5 cp5; //create controlP5 object
PFont font;

void setup(){

  size(300, 400); //window size
  
  printArray(Serial.list());  // prints all available serial ports
  
  port = new Serial(this, "/dev/ttyUSB1", 9600); // The port Arduino is connected to 
    
  cp5 = new ControlP5(this);
  font = createFont("Ubuntu Mono", 20);
  cp5.addButton("on")         // add button to window  
     .setPosition(100, 50) // x and y coordinates upper left
     .setSize(100, 80)    // width, height
     .setFont(font)
  ;
  
  cp5 = new ControlP5(this);
  cp5.addButton("off")         // add button to window
     .setPosition(100, 150) // x and y coordinates upper left
     .setSize(100, 80)    // width, height
     .setFont(font)       // set font
  ;
}

void draw() { //same as loop in Arduino
   background(150, 0 ,150);  //background color
   
   //title for window
   text("Screen on / off", 80, 30); //text + coordinate
   textFont(font);

}

// Adding functions to button. Each button sends a particular (char) character 
//over the serial port. 

void on(){  // the first button is named red
   port.write('r'); // In the Arduino sketch we wrote 'if(val == 'r')'
}
   
void off(){
  port.write('y');
}
